Soporte » Guías – Resolución de problemas » No puedo acceder a nuestro WP

  • Resuelto ambeadmon

    (@ambeadmon)


    Buenos días,
    He realizado una actualización sugerida de la versión de wp y ahora NO PUEDO ENTRAR en el Admin. me da este mensaje de error:
    Deprecated: Call-time pass-by-reference has been deprecated in /mnt/web009/c0/04/52782404/htdocs/wp-content/plugins/user-access-manager/class/UamUserGroup.class.php on line 646 Deprecated: Call-time pass-by-reference has been deprecated in /mnt/web009/c0/04/52782404/htdocs/wp-content/plugins/user-access-manager/class/UamUserGroup.class.php on line 995

    Ayuda por favor, soy muy novato en esto.
    Gracias

Viendo 15 respuestas - 1 de 15 (de 21 total)
  • Moderador almendron

    (@almendron)

    1.- Accede vía FTP o través del Panel de Control del hosting a los archivos de tu sitio.
    2.- Localiza la carpeta «user-access-manager» (dentro de wp-content/plugins/)
    3.- Cambia el nombre de la carpeta «user-access-manager» a «user-access-manager-error»
    4.- Intenta entrar ahora a la administración de tu WordPress. Te saldrá un mensaje diciendo que el plugin User Access Manager se ha desactivado.

    Tal vez no tenías actualizado dicho plugin cuya última versión es de hace dos semanas.
    Por último: ¿qué versión de WordPress tienes instalada?

    Buenas tardes, en primer lugar muchas gracias por la ayuda.
    No obstante, antes de hacer nada, me surge una duda.
    Cuando dices: «intenta entrar ahora a la administración de tu WordPress. Te saldrá un mensaje diciendo que el plugin User Access Manager se ha desactivado», ¿qué ocurrirá? ¿podré entrar?.

    Gracias

    Moderador almendron

    (@almendron)

    El mensaje te saldrá una vez hayas entrado. Se trata de desactivar ese plugin para que te permita entrar en la administración.
    Una vez lo hayas conseguido, podrás volver a poner el mismo nombre que tenía la carpeta. El plugin seguirá desactivado y lo podrás borrar si así lo quieres.

    Perdona que sea tan patoso.
    Me he descargado Filezilla para acceder vía ftp y no consigo acceder.
    He entrado a través del hosting a mi base de datos, pero no encuentro la carpeta “user-access-manager” porque no encuentro tampoco wp-content/plugins/

    Me salen una serie de carpetas y lo único que tiene relación es «uam-accessgroups» que si te fijas venía en el mensaje de error que me da la página al acceder:

    wp-content/plugins/user-access-manager/class/UamUserGroup.class.php on line 995

    Esto es lo que veo, entrando en Administrar Base de Datos en el posting

    Como ves estoy más perdido que un pulpo en un garaje.

    Moderador almendron

    (@almendron)

    NO tienes que entrar a Administrar Base de Datos ni en nada que lleve las palabras «Base de Datos».

    Tienes que buscar una opción que te lleve a algo semejante a un «explorador de windows», es decir, a ver directorios y archivos. Tienes que ver carpetas como «wp-content», «wp-admin», etc.

    Para entrar con Filezilla, ponte en contacto con tu hosting y que te faciliten un usuario y contraseña.

    MIL GRACIAS !!!
    STRATO no tiene panel de control para acceder a directorios y carpetas del WP.
    Al final he creado dentro de Strato un nuevo acceso FTP.
    Con FileZilla por fin he entrado en directorios y carpetas y he hecho lo que me has recomendado.
    Ya puedo acceder a Wp-admin!!!!
    Veo que el plugin en cuestión ya estaba desactivado.
    Y puedo entrar y salir con los usuarios (63) y contraseñas que tengo creados.

    Moderador almendron

    (@almendron)

    De nada. Un saludo.

    Nota 1: ¿Qué versión tenías del plugin? Lo pregunto porque la última actualización es de hace dos semanas (v. 1.2.14).

    Nota 2: por favor, marca como resuelto el hilo.

    Tenía una versión muy antigua.
    Ya lo he actualizado al 1.2.14

    Ahora me da otros problemas porque al intentar, una vez actualizado el user manager, activarlo me salta otro error:

    Notice: has_cap fue llamado con un argumento que está obsoleto desde la versión 2.0.0! El uso de niveles de usuarios por plugins y temas está obsoleto. Usa los perfiles y capacidades en su lugar. in /mnt/web009/c0/04/52782404/htdocs/wp-includes/functions.php on line 4020 Warning: Cannot modify header information – headers already sent by (output started at /mnt/web009/c0/04/52782404/htdocs/wp-includes/functions.php:4020) in /mnt/web009/c0/04/52782404/htdocs/wp-includes/pluggable.php on line 1179

    Moderador almendron

    (@almendron)

    No es nada alarmante. Para que no te salgan esos avisos edita el wp-config.php y allí busca la línea define('WP_DEBUG', true);. Cambia true por false.

    Esto no hará que se corrija ese error pero no se mostrará.

    Eso me temo que ya es mucho para mí. 🙂
    Pero lo intentaré.

    De verdad, muchísimas gracias.
    Cierro la consulta.

    Si echas un vistazo a nuestra página http://www.asociacionambe.es verás quienes somos.
    y si algún día necesitas algo de nosotros, no dudes en contactar.

    Moderador almendron

    (@almendron)

    Pues muchas gracias 🙂
    Un saludo.

    PD. Si algún necesito una bici, ya se a donde acudir.

    Otro problema.
    Tras haber actualizado wp a la última versión ahora ni mi web ni el wp-admin me muestra las imágenes.

    He comprobado que la ruta de cada imagen, por ejemplo en cada entrada, es correcta comparándola con la ubicación en la carpeta uploads.

    Pero no las veo.

    Moderador almendron

    (@almendron)

    Ni las imágenes ni los PDF. Es como si se hubiera corrompido el directorio de subidas.
    ¿Has instalado algún plugin de seguridad?
    ¿Has editado el wp-config.php? ¿no habrás tocado nada en dicho archivo además de lo que te indiqué?

    Moderador almendron

    (@almendron)

    He pedido a otros compañeros que se pasen por el hilo a ver si ellos pueden darte una solución.

    Sí, seguro que toque cosas que no debía.
    Ahora no lo he hecho (tampoco lo del DEBUG que me has recomendado hoy) porque no sé como meterle mano, la verdad.

Viendo 15 respuestas - 1 de 15 (de 21 total)
  • El debate ‘No puedo acceder a nuestro WP’ está cerrado a nuevas respuestas.